/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSImportRule_H__
#define __GdomCSSImportRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSImportRule GdomCSSImportRule;
typedef struct _GdomCSSImportRuleClass GdomCSSImportRuleClass;


#define GDOM_TYPE_CSS_IMPORT_RULE            (gdom_css_import_rule_get_type())
#define GDOM_CSS_IMPORT_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_IMPORT_RULE, GdomCSSImportRule))
#define GDOM_CSS_IMPORT_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_IMPORT_RULE, GdomCSSImportRule)Class)
#define GDOM_IS_CSS_IMPORT_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_IMPORT_RULE))
#define GDOM_IS_CSS_IMPORT_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_IMPORT_RULE))
#define GDOM_CSS_IMPORT_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_IMPORT_RULE, GdomCSSImportRuleClass))

typedef struct _GdomCSSImportRulePrivate GdomCSSImportRulePrivate;

struct _GdomCSSImportRule {
    GdomCSSRule parent_instance;
    GdomCSSImportRulePrivate *priv;
};

struct _GdomCSSImportRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_import_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSImportRule_H__ */
